%define rname	switch-locales
%set_tbird_ciddir noarch 338e0b96-2285-4424-b4c8-e25560750fa3

Name:		%tbird_name-%rname
Version:	2.0
Release:	alt1
Summary:	The Locale Switcher extension for Mozilla Thunderbird

License:	GPL
Group:		Networking/Mail
URL:		http://www.saintpatrickdc.org/bsmedberg/locale-switcher/

Source0:	%rname-%version.xpi

BuildArch:	noarch

BuildRequires(pre):	rpm-build-thunderbird
BuildRequires:		unzip 

Requires: %tbird_name >= 2.0

%description
Displays a menu item for switching the application locale.

%prep
%setup -c

echo %ciddir

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir
%__subst 's|<em:maxVersion>2.0b1</em:maxVersion>|<em:maxVersion>2.0.0.*</em:maxVersion>|' %buildroot/%ciddir/install.rdf

%postun
if [ ! -d "%ciddir" ]; then
	rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Sun Mar 11 2007 Alexey Gladkov <legion@altlinux.ru> 2.0-alt1
- New version.

* Thu Nov 23 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.1-alt4
- Rebuild with new thunderbird (1.5.0.8).
- Fix Requires.

* Mon Aug 21 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.1-alt3
- Rebuild with thunderbird-1.5.0.5-alt1 .

* Tue May 02 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.1-alt2
- Rebuild with new thunderbird.

* Wed Mar 22 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.1-alt1
- new version

* Wed Aug 31 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.6-alt3
- bugfix rebuild.

* Sun Aug 14 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.6-alt2
- Rebuild with new thunderbird.

* Thu May 12 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.2-alt1
-new build;

* Thu Jan 20 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt2
- Rebuild with new thunderbird.
- Requires to thunderbird package was relaxed.

* Fri Jan 07 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt1
- first build for ALT Linux.
